Bug 986546 - [abrt] libreoffice-core-4.1.0.1-8.fc19: SwNodeIndex::SwNodeIndex: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-4.1.0.1-8.fc19: SwNodeIndex::SwNodeIndex: Process /us...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:fc670e63176aa6ecf9f43d45331...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-20 09:01 EDT by Michael
Modified: 2013-07-31 01:23 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 04:52:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (82.93 KB, text/plain)
2013-07-20 09:01 EDT, Michael
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-20 09:01 EDT, Michael
no flags Details
File: core_backtrace (9.67 KB, text/plain)
2013-07-20 09:01 EDT, Michael
no flags Details
File: dso_list (20.46 KB, text/plain)
2013-07-20 09:01 EDT, Michael
no flags Details
File: environ (1.64 KB, text/plain)
2013-07-20 09:01 EDT, Michael
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-20 09:01 EDT, Michael
no flags Details
File: maps (96.70 KB, text/plain)
2013-07-20 09:01 EDT, Michael
no flags Details
File: open_fds (547 bytes, text/plain)
2013-07-20 09:01 EDT, Michael
no flags Details
File: proc_pid_status (933 bytes, text/plain)
2013-07-20 09:01 EDT, Michael
no flags Details
File: var_log_messages (352 bytes, text/plain)
2013-07-20 09:01 EDT, Michael
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 67554 None None None Never

  None (edit)
Description Michael 2013-07-20 09:01:13 EDT
Description of problem:
I tried to open an .docx Document. At first on an NAS Server, later on my local Hard Drive. 
Libre Office tried to start but abort without any notifications

Version-Release number of selected component:
libreoffice-core-4.1.0.1-8.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///run/media/sojasau/710E-8070/_UNENCRYPTED/OHB%20ETS%20Contact%20List.docx --splash-pipe=5
crash_function: SwNodeIndex::SwNodeIndex
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SwNodeIndex::SwNodeIndex at /usr/src/debug/libreoffice-4.1.0.1/sw/source/core/docnode/ndindex.cxx:61
 #1 SwPosition::SwPosition at /usr/src/debug/libreoffice-4.1.0.1/sw/source/core/crsr/pam.cxx:59
 #2 SwPaM::SwPaM at /usr/src/debug/libreoffice-4.1.0.1/sw/source/core/crsr/pam.cxx:354
 #3 SwDoc::TextToTable at /usr/src/debug/libreoffice-4.1.0.1/sw/source/core/docnode/ndtbl.cxx:1142
 #4 SwXText::convertToTable at /usr/src/debug/libreoffice-4.1.0.1/sw/source/core/unocore/unotext.cxx:2274
 #5 writerfilter::dmapper::DomainMapperTableHandler::endTable at /usr/src/debug/libreoffice-4.1.0.1/writerfilter/source/dmapper/DomainMapperTableHandler.cxx:798
 #6 writerfilter::TableManager<com::sun::star::uno::Reference<com::sun::star::text::XTextRange>, boost::shared_ptr<writerfilter::dmapper::TablePropertyMap> >::resolveCurrentTable at /usr/src/debug/libreoffice-4.1.0.1/writerfilter/inc/resourcemodel/TableManager.hxx:1016
 #7 writerfilter::TableManager<com::sun::star::uno::Reference<com::sun::star::text::XTextRange>, boost::shared_ptr<writerfilter::dmapper::TablePropertyMap> >::endLevel at /usr/src/debug/libreoffice-4.1.0.1/writerfilter/inc/resourcemodel/TableManager.hxx:742
 #8 writerfilter::dmapper::DomainMapperTableManager::endLevel at /usr/src/debug/libreoffice-4.1.0.1/writerfilter/source/dmapper/DomainMapperTableManager.cxx:437
 #9 writerfilter::dmapper::DomainMapper_Impl::PopShapeContext at /usr/src/debug/libreoffice-4.1.0.1/writerfilter/source/dmapper/DomainMapper_Impl.cxx:1745

Potential duplicate: bug 767256
Comment 1 Michael 2013-07-20 09:01:18 EDT
Created attachment 776149 [details]
File: backtrace
Comment 2 Michael 2013-07-20 09:01:21 EDT
Created attachment 776150 [details]
File: cgroup
Comment 3 Michael 2013-07-20 09:01:25 EDT
Created attachment 776151 [details]
File: core_backtrace
Comment 4 Michael 2013-07-20 09:01:30 EDT
Created attachment 776152 [details]
File: dso_list
Comment 5 Michael 2013-07-20 09:01:34 EDT
Created attachment 776153 [details]
File: environ
Comment 6 Michael 2013-07-20 09:01:41 EDT
Created attachment 776155 [details]
File: limits
Comment 7 Michael 2013-07-20 09:01:47 EDT
Created attachment 776156 [details]
File: maps
Comment 8 Michael 2013-07-20 09:01:50 EDT
Created attachment 776157 [details]
File: open_fds
Comment 9 Michael 2013-07-20 09:01:55 EDT
Created attachment 776158 [details]
File: proc_pid_status
Comment 10 Michael 2013-07-20 09:01:59 EDT
Created attachment 776159 [details]
File: var_log_messages
Comment 11 Cyber Trekker 2013-07-20 22:33:35 EDT
Attempted to open a document created by MS Office.

reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --headless --invisible --nocrashreport --nodefault --nofirststartwizard --nologo --norestore --accept=socket,host=127.0.0.1,port=2002;urp;StarOffice.ComponentContext
crash_function: SwNodeIndex::SwNodeIndex
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.9.9-302.fc19.x86_64
package:        libreoffice-core-4.1.0.1-8.fc19
reason:         Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000
Comment 12 David Tardon 2013-07-22 04:01:05 EDT
Could you attach the .docx file here?
Comment 13 Michael 2013-07-22 04:11:35 EDT
I'm sorry, but I can't.
It is an confidential Document which I can't publish.
Comment 14 David Tardon 2013-07-31 01:23:32 EDT
A crash with a similar stack has been reported upstream. And it contains a reproducer.

Note You need to log in before you can comment on or make changes to this bug.